### Method

# Gtk FileChooser get_file

#### Declaration [src]

    GFile*
    gtk_file_chooser_get_file (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the `GFile` for the currently selected file in the file selector.

If multiple files are selected, one of the files will be returned at random.

If the file chooser is in folder mode, this function returns the selected folder.

#### Return value

Returns: | `GFile*`
| A selected `GFile`. You own the returned file; use g_object_unref() to release it.
| The caller of the function takes ownership of the data, and is responsible for freeing it.